diff --git a/templates/pages/about/donate.html b/templates/pages/about/donate.html
index 8720eeea..46f3b5f1 100644
--- a/templates/pages/about/donate.html
+++ b/templates/pages/about/donate.html
@@ -5,18 +5,16 @@
 <h1>Donate <i class="far fa-money-bill-alt"></i></h1>
 
 <h2>PostgreSQL Project assets</h2>
-<p>
-  The
-  <a href="https://postgres.ca">PostgreSQL Community Association of Canada</a>
+<p>The <a href="https://postgres.ca">PostgreSQL Community Association of Canada</a>
   (PGCAC) is a special-purpose NPO setup at the request of the
   <a href="/developer/core/">PostgreSQL Core Team</a> to manage and protect key
-  project assets such as domain names and trademarks.
-</p>
+  project assets such as domain names and trademarks.</p>
 <p><a class="btn btn-primary" href="https://www.postgres.ca/donate">Donate to PGCAC</a></p>
 
 <h2>General PostgreSQL efforts</h2>
-<p>PostgreSQL is an affiliated project of <a href="https://www.spi-inc.org/">Software in the Public Interest.</a> Funds donated to PostgreSQL are used
-to sponsor general PostgreSQL efforts. These funds are managed by the Fund raising group.</p>
+<p>PostgreSQL is an affiliated project of <a href="https://www.spi-inc.org/">Software in the Public Interest.</a>
+  Funds donated to PostgreSQL are used to sponsor general PostgreSQL efforts around the world.
+  These funds are managed by the <a href="/about/policies/funds-group.html">Funds Group</a>.</p>
 <p><a class="btn btn-primary" href="/about/donate_pg_org/">Donate to PostgreSQL</a></p>
 
 <h2>PostgreSQL Europe (PgEU)</h2>
diff --git a/templates/pages/about/donate_pg_org.html b/templates/pages/about/donate_pg_org.html
index 46f2d82b..ad1dc785 100644
--- a/templates/pages/about/donate_pg_org.html
+++ b/templates/pages/about/donate_pg_org.html
@@ -4,37 +4,26 @@
 
 <h1>Donate to PostgreSQL <i class="far fa-money-bill-alt"></i></h1>
 
-<p>PostgreSQL donations are managed by the <a href="https://wiki.postgresql.org/wiki/Funding_Requests" target="_blank" rel="noopener">funds group</a>. The money donated goes to many vital services that the PostgreSQL community needs including advocacy materials, project infrastructure, legal expenses, and more.</p>
-
-<h2>Donate by Credit Card / PayPal</h2>
-<p>
-  PostgreSQL donations are processed via Paysimple (third party) and deposited
-  into the <a href="https://spi-inc.org/projects/postgresql/" target="_blank" rel="noopener">PostgreSQL account at Software in the Public Interest (SPI)</a>.
-  You can click the button below, which will redirect you to PayPal where your
-  donation will be processed:
-</p>
-<form action="https://www.paypal.com/cgi-bin/webscr" method="post">
-  <fieldset>
-    <input type="hidden" name="cmd" value="_s-xclick">
-    <input type="hidden" name="hosted_button_id" value="J2S96PW9NMCDS">
-    <input class="btn btn-primary" type="submit" name="submit" value="Donate by Credit Card" />
-  </fieldset>
-</form>
-
-<h2>For other amounts or to donate via American, Canadian Check or Money Order:</h2>
-<p>Donations can also be made by mailing a check or sending a money order to Software in the Public Interest, Inc.</p>
-<p><strong>Please be sure to put "PostgreSQL" in the MEMO field.</strong></p>
-<p>You can mail the check or money order to:<br />
-Software in the Public Interest, Inc.<br />
-1732 1st Ave #20327<br />
-New York, NY 10128-5177<br />
-United States<br />
-</p>
+<p>PostgreSQL donations are managed by the <a href="/about/policies/funds-group.html">Funds Group</a>. The money donated may be used for a variety of services that the PostgreSQL community needs including advocacy materials, project infrastructure, legal expenses, and more.</p>
+
+<h2>How To Donate To PostgreSQL</h2>
 
+<p>You can donate to PostgreSQL through a variety of means as made available through Software in the Public Interest.
+These include the following methods:
+<ul>
+  <li>Donation via Credit Card</li>
+  <li>Donation via Zelle</li>
+  <li>Donation via PayPal</li>
+  <li>Donation via Check</li>
+<li>
+
+For details on the above donation methods, as well as additional methods, please see <a href="https://www.spi-inc.org/donations/">the donations page at Software In The Public Interest</a>.
+
+When donating, please make sure to include a designation for <em>PostgreSQL</em> with your donation.
+</p>
 
 <h2>Tax deductibility</h2>
-<p>Please be aware that PostgreSQL contributions may or may not be tax exempt. For more information please see the <a href="https://www.spi-inc.org/donations">SPI website</a> and your local tax advisor. If you would like to donate non-monetary items such as computers or other equipment, please contact the <a
-href="mailto:funds-group@postgresql.org">PostgreSQL Funds Group</a>.</p>
+<p>Please be aware that PostgreSQL contributions may or may not be tax exempt. For more information please see the <a href="https://www.spi-inc.org/donations">SPI website</a> and your local tax advisor. If you would like to donate non-monetary items such as computers or other equipment, please contact the <a href="mailto:funds-group@postgresql.org">PostgreSQL Funds Group</a>.</p>
 
 <h2>Infrastructure Donations</h2>
 <p>There are many companies that donate <a href="/about/servers/">servers.</a></p>
